VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3765
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5670
   LinkTopic       =   "Form1"
   ScaleHeight     =   3765
   ScaleWidth      =   5670
   StartUpPosition =   3  'Windows Default
   Begin VB.ComboBox cboTitle 
      Enabled         =   0   'False
      Height          =   315
      Left            =   1080
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   1200
      Width           =   4575
   End
   Begin VB.CommandButton cmdCreate 
      Caption         =   "Create"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   855
   End
   Begin VB.Label lblResults 
      BorderStyle     =   1  'Fixed Single
      Height          =   2175
      Left            =   1080
      TabIndex        =   2
      Top             =   1560
      Width           =   4575
   End
   Begin VB.Label lblProcedure 
      BorderStyle     =   1  'Fixed Single
      Height          =   735
      Left            =   1080
      TabIndex        =   1
      Top             =   120
      Width           =   4575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_DBConnection As ADODB.Connection

' Display information for this book.
Private Sub cboTitle_Click()
Dim rs As ADODB.Recordset
Dim cmd As ADODB.Command
Dim result As String
Dim txt As String
Dim i As Integer

    ' Create a command object.
    Set cmd = New ADODB.Command
    Set cmd.ActiveConnection = m_DBConnection
    cmd.CommandType = adCmdStoredProc
    cmd.CommandText = "BookInfo"
    txt = cboTitle.Text
    cmd.Parameters.Append cmd.CreateParameter("title", adVarChar, _
        adParamInput, Len(txt), txt)

    ' Execute the command.
    Set rs = cmd.Execute

    ' Display the results.
    txt = ""
    For i = 0 To rs.Fields.Count - 1
        txt = txt & rs.Fields(i).Name & " = " & rs.Fields(i).Value & vbCrLf
    Next i
    lblResults.Caption = txt

    ' Close the recordset and free it and the command object.
    rs.Close
    Set rs = Nothing
    Set cmd = Nothing
End Sub
' Create the stored procedure.
Private Sub cmdCreate_Click()
    ' Drop the procedure if it already exists.
    On Error Resume Next
    m_DBConnection.Execute "DROP PROCEDURE BookInfo"
    On Error GoTo 0

    ' Create the stored procedure.
    m_DBConnection.Execute lblProcedure.Caption

    cmdCreate.Enabled = False
    cboTitle.Enabled = True
End Sub
Private Sub Form_Load()
Dim db_file As String
Dim rs As ADODB.Recordset

    ' Get the file name.
    db_file = App.Path
    If Right$(db_file, 1) <> "\" Then db_file = db_file & "\"
    db_file = db_file & "books.mdb"

    ' Open a connection to the database.
    Set m_DBConnection = New ADODB.Connection
    m_DBConnection.ConnectionString = _
        "Provider=Microsoft.Jet.OLEDB.4.0;" & _
        "Data Source=" & db_file & ";" & _
        "Persist Security Info=False"
    m_DBConnection.Open

    ' Make a simple stored procedure.
    lblProcedure.Caption = _
        "CREATE PROCEDURE BookInfo(@title VARCHAR) AS" & vbCrLf & _
        "    SELECT * FROM Books WHERE Title = @title"

    ' Make a list of the titles.
    cboTitle.Clear
    Set rs = m_DBConnection.Execute("SELECT Title FROM Books ORDER BY Title", , adCmdText)

    Do While Not rs.EOF
        cboTitle.AddItem rs!Title
        rs.MoveNext
    Loop

    rs.Close
    Set rs = Nothing
End Sub
' Drop the procedure if it exists.
Private Sub Form_Unload(Cancel As Integer)
    On Error Resume Next
    m_DBConnection.Execute "DROP PROCEDURE BookInfo"
    On Error GoTo 0
End Sub


